<?php

namespace Modules\Pp\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class Machinary extends Model
{
    protected $table = 'pp_machinery';
    protected $primaryKey = 'machinery_id';
    public $incrementing = false;
    use HasFactory,LogsActivity;
    protected static $logAttributes = [
        'machinery_id',
        'machinery_no',
        'machinery_name',
        'site_id',
        'description',
        'status',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "pp_machinery";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }

}
